Eclipse Platform Release 3.7

## org.eclipse.core.commands
Class NotEnabledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.commands.common.CommandException
                  org.eclipse.core.commands.NotEnabledException

All Implemented Interfaces:
  Serializable

    public final class NotEnabledException

extends CommandException

Signals that an attempt was made to execute a command that is not enabled.

This class is not intended to be extended by clients.

Since:
  3.2
See Also:
  Serialized Form

Constructor Summary
`NotEnabledException(String s)` Creates a new instance of this class with the specified detail message.

Method Summary

Methods inherited from class org.eclipse.core.commands.common.CommandException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotEnabledException

    public NotEnabledException(String s)

  Creates a new instance of this class with the specified detail message.

  Parameters:
    `s` - the detail message; may be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.